<?php
session_start();
require '../Conexion/class.sql.inc.php';
$db = new EyeMySQLAdap();


try{
	
	$Opcion				= $_POST['Opcion'];
	$userid  			= $_SESSION['UserID'];
	
	$lastCode=-1;
	$Mensaje="";
	switch ($Opcion) 
	{
		
		case "GRABAR":{			
				$MantenimientoID = $_POST['MantenimientoID'];
				$ComponenteID = $_POST['ComponenteID'];
				$Descripcion = mysql_real_escape_string($_POST['Descripcion']);
				$Estado = ($_POST['Estado']!=''?$_POST['Estado']:0);
				$Tipo = ($_POST['Tipo']!=''?$_POST['Tipo']:0);
				$Fecha = $_POST['Fecha'];
				$Comentario = mysql_real_escape_string($_POST['Comentario']);
				$Resultado = $_POST['Resultado'];
				$CostoCivil = ($_POST['CostoCivil']!=''?$_POST['CostoCivil']:0); 
				$CostoMecanico = ($_POST['CostoMecanico']!=''?$_POST['CostoMecanico']:0); 
				$CostoElectrico = ($_POST['CostoElectrico']!=''?$_POST['CostoElectrico']:0); 
				$CostoGasolina = ($_POST['CostoGasolina']!=''?$_POST['CostoGasolina']:0); 
				$OtrosCostos = ($_POST['OtrosCostos']!=''?$_POST['OtrosCostos']:0); 
				$CostoTotal = ($_POST['CostoTotal']!=''?$_POST['CostoTotal']:0); 
				if($MantenimientoID=='-1'){
					$array = array("ComponentID"=>$ComponenteID,
						"Description"=>"'$Descripcion'",
						"StatusMaintenanceID"=>$Estado,
						"TypeMaintenanceID"=>$Tipo,
						"Date"=>"'$Fecha'",
						"Comment"=>"'$Comentario'",
						"Result"=>"'$Resultado'",
						"CivilCost"=>"$CostoCivil",
						"MechanicalCost"=>"$CostoMecanico",
						"ElectricalCost"=>"$CostoElectrico",
						"GasolineCost"=>"$CostoGasolina",
						"OtherCost"=>"$OtrosCostos",
						"TotalCost"=>"$CostoTotal",			
						"CreateUserID"=>$userid,
						"CreateDate"=>"NOW()",
						"UpdateUserID"=>$userid,
						"UpdateDate"=>"NOW()");
					$result=$db->insert($array,"maintenance");
					$lastCode= mysql_insert_id();
				}
				else{
					$array = array("ComponentID"=>$ComponenteID,
						"Description"=>"'$Descripcion'",
						"StatusMaintenanceID"=>$Estado,
						"TypeMaintenanceID"=>$Tipo,
						"Date"=>"'$Fecha'",
						"Comment"=>"'$Comentario'",
						"Result"=>"'$Resultado'",
						"CivilCost"=>"$CostoCivil",
						"MechanicalCost"=>"$CostoMecanico",
						"ElectricalCost"=>"$CostoElectrico",
						"GasolineCost"=>"$CostoGasolina",
						"OtherCost"=>"$OtrosCostos",
						"TotalCost"=>"$CostoTotal",						
						"UpdateUserID"=>$userid,
						"UpdateDate"=>"NOW()");
					$result=$db->update($array,"maintenance","MaintenanceID = " . $MantenimientoID);
				}
				
			}
			break;
	}
	if($result==false){
		//Echo '({success:true})';
		Echo '({success:false,Datos:'.json_encode("NOK").',LastCode:' .$lastCode . ',Mensaje:"' . $Mensaje .'" })';	
	}
	else{
		//Echo '({success:true})';
		Echo '({success:true,Datos:'.json_encode("OK").',LastCode:' . $lastCode . ',Mensaje:"' . $Mensaje .'"})';	
	}
}
catch(Exception $e)
{
	Echo '({success:false,Datos:'.json_encode($e->getMessage()).'})';		
}
?>



